<?php
$resol=mysqli_query($con,"SELECT * FROM serie_factura where ser_estado='activo' and ser_tipo='electronica' and ser_tipo_documento='10' and empresa='$empresa'") or die(mysqli_error($con)); 
$res=mysqli_fetch_array($resol);
$result = mysqli_num_rows($resol);
$ser_id=$res['ser_id'];
$ser_inicio=$res['ser_inicio'];
$ser_fin=$res['ser_fin'];
$prefijo=$res['ser_prefijo'];
if($result ==0)
{
    echo '<div class="modal-body">
            <div class="alert alert-info alert-dismissable">
                <strong>No hay serie de facturación activa.</strong> Tiene que activar la siguiente serie.
            </div>
            <div class="modal-footer">
                <a href="empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
            </div>  
        </div> ';
}

$can=mysqli_query($con,"SELECT MAX(nom_numero) as nom_numero  
FROM dian_nomina where nom_numero >='$ser_inicio' and nom_numero <='$ser_fin' and nom_ser_id='$ser_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$dato= mysqli_fetch_array($can);
$nom_numero = $dato['nom_numero'];
if ($nom_numero==null)
{
  	$nom_numero=$ser_inicio;
}
else if ($nom_numero < $ser_fin) 
{  
  	$nom_numero=$dato['nom_numero']+1;
}

$empl_id=$_POST['nom_emp_id'];
$nom_fecha_pago=$_POST['nom_fecha_pago'];
$nom_fecha_inicio=$_POST['nom_fecha_inicio'];
$nom_fecha_fin=$_POST['nom_fecha_fin'];
$dias_trabajados=$_POST['dias_trabajados'];
$notas=$_POST['notas'];

$nom_numero_ant=$_POST['nom_numero'];
$nom_cune_ant=$_POST['nom_cune'];
$nom_fecha_ant=$_POST['nom_fecha'];


$can=mysqli_query($con,"SELECT * FROM empleados where emp_id='$empl_id' ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$emp_cc=$dato['emp_cc'];
$emp_tipo_doc=$dato['emp_tipo_doc'];
$emp_nombre=utf8_encode($dato['emp_nombre']);
$emp_primer_apellido=utf8_encode($dato['emp_primer_apellido']);
$emp_segundo_apellido=utf8_encode($dato['emp_segundo_apellido']);
$emp_direccion=utf8_encode($dato['emp_direccion']);
$emp_salario=$dato['emp_salario'];
$emp_tipo_trabajador=$dato['emp_tipo_trabajador'];
$emp_subtipo_trabajador=$dato['emp_subtipo_trabajador'];
$emp_tipo_contrato=$dato['emp_tipo_contrato'];
$emp_municipio=$dato['emp_municipio'];
$emp_fecha_adminsion=$dato['emp_fecha_adminsion'];

$emp_metodo_pago=$dato['emp_metodo_pago'];
$emp_banco=$dato['emp_banco'];
$emp_tipo_cuenta=$dato['emp_tipo_cuenta'];
$emp_numero_cuenta=$dato['emp_numero_cuenta'];

$emp_salario_integral=$dato['emp_salario_integral'];
$emp_alto_riesgo=$dato['emp_alto_riesgo'];

//DEVENGADOS
$devengados['worked_days']=$dias_trabajados;
//$devengados['salary']=$emp_salario;
$total_dev=0;



//salario
if (isset($_POST['salario'])){$salario=$_POST['salario'];} else { $salario='no';}
if($salario=='si'){
    $valor_salario=$_POST['valor_salario'];
    $devengados['salary']=$valor_salario;
    $total_dev+=$valor_salario;
}

//transporte
if (isset($_POST['transporte'])){$transporte=$_POST['transporte'];} else { $transporte='no';}
if($transporte=='si'){
    $valor_transporte=$_POST['valor_transporte'];
    $devengados['transportation_allowance']=$valor_transporte;
    $total_dev+=$valor_transporte;
}

//dotaciones
if (isset($_POST['dotaciones'])){$dotaciones=$_POST['dotaciones'];} else { $dotaciones='no';}
if($dotaciones=='si'){
    $valor_dotaciones=$_POST['valor_dotaciones'];
    $devengados['endowment']=$valor_dotaciones;
    $total_dev+=$valor_dotaciones;
}

//sostenimiento
if (isset($_POST['sostenimiento'])){$sostenimiento=$_POST['sostenimiento'];} else { $sostenimiento='no';}
if($sostenimiento=='si'){
    $valor_sostenimiento=$_POST['valor_sostenimiento'];
    $devengados['sustenance_support']=$valor_sostenimiento;
    $total_dev+=$valor_sostenimiento;
}

//teletrabajo
if (isset($_POST['teletrabajo'])){$teletrabajo=$_POST['teletrabajo'];} else { $teletrabajo='no';}
if($teletrabajo=='si'){
    $valor_teletrabajo=$_POST['valor_teletrabajo'];
    $devengados['telecommuting']=$valor_teletrabajo;
    $total_dev+=$valor_teletrabajo;
}

//retiro
if (isset($_POST['retiro'])){$retiro=$_POST['retiro'];} else { $retiro='no';}
if($retiro=='si'){
    $valor_retiro=$_POST['valor_retiro'];
    $devengados['withdrawal_bonus']=$valor_retiro;
    $total_dev+=$valor_retiro;
}

//imdemnizacion
if (isset($_POST['imdemnizacion'])){$imdemnizacion=$_POST['imdemnizacion'];} else { $imdemnizacion='no';}
if($imdemnizacion=='si'){
    $valor_imdemnizacion=$_POST['valor_imdemnizacion'];
    $devengados['compensation']=$valor_imdemnizacion;
    $total_dev+=$valor_imdemnizacion;
}

//comision
if (isset($_POST['comision'])){$comision=$_POST['comision'];} else { $comision='no';}
if($comision=='si'){
    $valor_comision=$_POST['valor_comision'];

    $devengados['commissions']=array (array(
                    "commission" => $valor_comision,));
    $total_dev+=$valor_comision;
}

//incapacidad
if (isset($_POST['incapacidad'])){$incapacidad=$_POST['incapacidad'];} else { $incapacidad='no';}
if($incapacidad=='si'){
    $valor_incapacidad=$_POST['valor_incapacidad'];
    $tipo_inc=$_POST['tipo_inc'];

    $devengados['work_disabilities']=array (array(
                    "start_date" => '',
                    "end_date" => '',
                    "type" => $tipo_inc,
                    "quantity" => 1,
                    "payment" => $valor_incapacidad,));
    $total_dev+=$valor_incapacidad;
}

//maternidad
if (isset($_POST['maternidad'])){$maternidad=$_POST['maternidad'];} else { $maternidad='no';}
if($maternidad=='si'){
    $valor_maternidad=$_POST['valor_maternidad'];

    $devengados['maternity_leave']=array (array(
                    "start_date" => '',
                    "end_date" => '',
                    "quantity" => 1,
                    "payment" => $valor_maternidad,));
    $total_dev+=$valor_maternidad;
}

//licencia
if (isset($_POST['licencia'])){$licencia=$_POST['licencia'];} else { $licencia='no';}
if($licencia=='si'){
    $valor_licencia=$_POST['valor_licencia'];

    $devengados['paid_leave']=array (array(
                    "start_date" => '',
                    "end_date" => '',
                    "quantity" => 1,
                    "payment" => $valor_licencia,));
    $total_dev+=$valor_licencia;
}

//bonificacion
if (isset($_POST['bonificacion'])){$bonificacion=$_POST['bonificacion'];} else { $bonificacion='no';}
if($bonificacion=='si'){
    $salarial_bonificacion=$_POST['salarial_bonificacion'];
    $no_salarial_bonificacion=$_POST['no_salarial_bonificacion'];
    
    if($salarial_bonificacion>0)
    {
       $devengados['bonuses']=array (array(
                    "salary_bonus" => $salarial_bonificacion,));
    }
    
    if($no_salarial_bonificacion>0)
    {
       $devengados['bonuses']=array (array(
                    "non_salary_bonus" => $no_salarial_bonificacion,));
    }
    if($salarial_bonificacion>0 && $no_salarial_bonificacion>0 )
    {
       $devengados['bonuses']=array (array(
                    "salary_bonus" => $salarial_bonificacion,
                    "non_salary_bonus" => $no_salarial_bonificacion,));
    }

    $total_dev+=$salarial_bonificacion+$no_salarial_bonificacion;
}

//auxilio
if (isset($_POST['auxilio'])){$auxilio=$_POST['auxilio'];} else { $auxilio='no';}
if($auxilio=='si'){
    $salarial_auxilio=$_POST['salarial_auxilio'];
    $no_salarial_auxilio=$_POST['no_salarial_auxilio'];

    if($salarial_auxilio>0)
    {
       $devengados['aid']=array (array(
                    "salary_assistance" => $salarial_auxilio,));
    }
    
    if($no_salarial_auxilio>0)
    {
      $devengados['aid']=array (array(
                    "non_salary_assistance" => $no_salarial_auxilio,));
    }
    if($salarial_auxilio>0 && $no_salarial_auxilio>0 )
    {
       $devengados['aid']=array (array(
                    "salary_assistance" => $salarial_auxilio,
                    "non_salary_assistance" => $no_salarial_auxilio,));
    }

    $total_dev+=$salarial_auxilio+$no_salarial_auxilio;
}

//huelga
if (isset($_POST['huelga'])){$huelga=$_POST['huelga'];} else { $huelga='no';}
if($huelga=='si'){
    $valor_huelga=$_POST['valor_huelga'];

    $devengados['legal_strike']=array (array(
                    "start_date" => '',
                    "end_date" => '',
                    "quantity" => 1,
                    "payment" => $valor_huelga,));
    $total_dev+=$valor_huelga;
}

//otros
if (isset($_POST['otros'])){$otros=$_POST['otros'];} else { $otros='no';}
if($otros=='si'){
    $salarial_otros=$_POST['salarial_otros'];
    $no_salarial_otros=$_POST['no_salarial_otros'];


    if($salarial_otros>0)
    {
        $devengados['other_concepts']=array (array(
                    "salary_concept" => $salarial_otros,
                    "description_concept" => 'OTROS CONCEPTOS',));
    }
    if($no_salarial_otros>0)
    {
        $devengados['other_concepts']=array (array(
                    "non_salary_concept" => $no_salarial_otros,
                    "description_concept" => 'OTROS CONCEPTOS',));
    }
    if($salarial_otros>0 && $no_salarial_otros>0 )
    {
        $devengados['other_concepts']=array (array(
                    "salary_concept" => $salarial_otros,
                    "non_salary_concept" => $no_salarial_otros,
                    "description_concept" => 'OTROS CONCEPTOS',));
    }



  
    $total_dev+=$salarial_otros+$no_salarial_otros;
}

//compensacion
if (isset($_POST['compensacion'])){$compensacion=$_POST['compensacion'];} else { $compensacion='no';}
if($compensacion=='si'){
    $ordinaria=$_POST['ordinaria'];
    $extraordinaria=$_POST['extraordinaria'];

    $devengados['compensations']=array (array(
                    "ordinary_compensation" => $ordinaria,
                    "extraordinary_compensation" => $extraordinaria,));
    $total_dev+=$ordinaria+$extraordinaria;
}


//bonos
if (isset($_POST['bonos'])){$bonos=$_POST['bonos'];} else { $bonos='no';}
if($bonos=='si'){
    $salarial_bonos=$_POST['salarial_bonos'];
    $no_salarial_bonos=$_POST['no_salarial_bonos'];

    $devengados['epctv_bonuses']=array (array(
                    "salary_food_payment" => $salarial_bonos,
                    "non_salary_food_payment" => $no_salarial_bonos,));
    $total_dev+=$salarial_bonos+$no_salarial_bonos;
}


//terceras
if (isset($_POST['terceras'])){$terceras=$_POST['terceras'];} else { $terceras='no';}
if($terceras=='si'){
    $valor_terceras=$_POST['valor_terceras'];

    $devengados['third_party_payments']=array (array(
                    "third_party_payment" => $valor_terceras,));
    $total_dev+=$valor_terceras;
}


//anticipo
if (isset($_POST['anticipo'])){$anticipo=$_POST['anticipo'];} else { $anticipo='no';}
if($anticipo=='si'){
    $valor_anticipo=$_POST['valor_anticipo'];

    $devengados['advances']=array (array(
                    "advance" => $valor_anticipo,));
    $total_dev+=$valor_anticipo;
}




//prima
if (isset($_POST['primas'])){$primas=$_POST['primas'];}else { $primas='no';}
if($primas=='si'){
    $pri_dias=$_POST['pri_dias'];
    $pri_salarial=$_POST['pri_salarial'];
    $pri_no_salarial=$_POST['pri_no_salarial'];

    $devengados['service_bonus']=array (array(
                    "quantity" => $pri_dias,
                    "payment" => $pri_salarial,
                    "paymentNS" => $pri_no_salarial,));
    $total_dev+=$pri_salarial+$pri_no_salarial;
}

//cesantias
if (isset($_POST['cesantias'])){$cesantias=$_POST['cesantias'];}else { $cesantias='no';}
if($cesantias=='si'){
    $ces_pago=$_POST['ces_pago'];
    $ces_interes=$_POST['ces_interes'];
    $ces_pago_interes=$_POST['ces_pago_interes'];

    $devengados['severance']=array (array(
               "payment" => $ces_pago,
               "percentage" => $ces_interes,                   
               "interest_payment" => $ces_pago_interes,));
    $total_dev+=$ces_pago+$ces_pago_interes;
}

//vacaciones
if (isset($_POST['vacaciones'])){$vacaciones=$_POST['vacaciones'];}else { $vacaciones='no';}
if($vacaciones=='si'){
    $vac_fecha_inicio=$_POST['vac_fecha_inicio'];
    $vac_fecha_fin=$_POST['vac_fecha_fin'];
    $vac_dias=$_POST['vac_dias'];
    $vac_pago=$_POST['vac_pago'];

    $devengados['common_vacation']=array (array(
               "start_date" => $vac_fecha_inicio,
               "end_date" => $vac_fecha_fin,
               "quantity" => $vac_dias,                   
               "payment" => $vac_pago,));
    $total_dev+=$vac_pago;
}




$resultado = mysqli_query($con, "SELECT *, DATE(hor_inicio) as fecha_inicio, TIME(hor_inicio) as hora_inicio, DATE(hor_fin) as fecha_fin, TIME(hor_fin) as hora_fin FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HED'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HEDs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

    $total_dev+=$total_hora;
}


$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HEN'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HENs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

    $total_dev+=$total_hora;
   
}

$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HRN'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HRNs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

    $total_dev+=$total_hora;
   
}

$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HEDDF'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HEDDFs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

    $total_dev+=$total_hora;
   
}

$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HRDDF'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HRDDFs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

    $total_dev+=$total_hora;
}

$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HENDF'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HENDFs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

     $total_dev+=$total_hora;
   
}

$resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id' and hor_nombre_in='HRNDF'  ");
while($array=mysqli_fetch_array($resultado)) 
{
    $fecha_inicio=$array['fecha_inicio'];
    $hora_inicio=$array['hora_inicio'];
    $fecha_fin=$array['fecha_fin'];
    $hora_fin=$array['hora_fin'];
    $total_hora=$array['hor_cantidad']*$array['hor_valor'];

    $devengados['HRNDFs'][]= array(
    'start_time'=>$fecha_inicio.'T'.$hora_inicio,
    'end_time'=>$fecha_fin.'T'.$hora_fin,
    'quantity'=>$array['hor_cantidad'],
    'percentage'=>1,
    'payment'=>$array['hor_valor']);

     $total_dev+=$total_hora;
   
}



$devengados['accrued_total']= sprintf('%.2f',$total_dev);
$accrued=$devengados;









//DEDUCCIONES
$deducciones['eps_type_law_deductions_id']='1';
$deducciones['pension_type_law_deductions_id']='5.00';
$total_ded=0;


//salud
if (isset($_POST['salud'])){$salud=$_POST['salud'];} else { $salud='no';}
if($salud=='si'){
    $valor_salud=$_POST['valor_salud'];
    $deducciones['eps_deduction']=$valor_salud;
    $total_ded+=$valor_salud;
}

//pension
if (isset($_POST['pension'])){$pension=$_POST['pension'];} else { $pension='no';}
if($pension=='si'){
    $valor_pension=$_POST['valor_pension'];
    $deducciones['pension_deduction']=$valor_pension;
    $total_ded+=$valor_pension;
}

//sindicato
if (isset($_POST['sindicato'])){$sindicato=$_POST['sindicato'];} else { $sindicato='no';}
if($sindicato=='si'){
    $porcentaje=$_POST['porcentaje'];
    $valor_sindicato=$_POST['valor_sindicato'];
    $deducciones['labor_union']=array (array(
                "percentage" => $porcentaje,
                "deduction" => $valor_sindicato,));
    $total_ded+=$valor_sindicato;
}

//sancion
if (isset($_POST['sancion'])){$sancion=$_POST['sancion'];} else { $sancion='no';}
if($sancion=='si'){
    $publica=$_POST['publica'];
    $privada=$_POST['privada'];
    $deducciones['sanctions']=array (array(
                "public_sanction" => $publica,
                "private_sanction" => $privada,));
    $total_ded+=$publica+$privada;
}


//pedidos
if (isset($_POST['pedidos'])){$pedidos=$_POST['pedidos'];} else { $pedidos='no';}
if($pedidos=='si'){
    $valor_pedido=$_POST['valor_pedido'];
    $descripcion=$_POST['descripcion'];
    $deducciones['orders']=array (array(
                "description" => $descripcion,
                "deduction" => $valor_pedido,));
    $total_ded+=$valor_pedido;
}

//terceros
if (isset($_POST['terceros'])){$terceros=$_POST['terceros'];} else { $terceros='no';}
if($terceros=='si'){
    $valor_terceros=$_POST['valor_terceros'];
    $deducciones['third_party_payments']=array (array(
                "third_party_payment" => $valor_terceros,));
    $total_ded+=$valor_terceros;
}


//anticipo_ded
if (isset($_POST['anticipo_ded'])){$anticipo_ded=$_POST['anticipo_ded'];} else { $anticipo_ded='no';}
if($anticipo_ded=='si'){
    $valor_anticipo_ded=$_POST['valor_anticipo_ded'];
    $deducciones['advances']=array (array(
                "advance" => $valor_anticipo_ded,));
    $total_ded+=$valor_anticipo_ded;
}


//otras_deducciones
if (isset($_POST['otras_deducciones'])){$otras_deducciones=$_POST['otras_deducciones'];} else { $otras_deducciones='no';}
if($otras_deducciones=='si'){
    $valor_otras_deducciones=$_POST['valor_otras_deducciones'];
    $deducciones['other_deductions']=array (array(
                "other_deduction" => $valor_otras_deducciones,));
    $total_ded+=$valor_otras_deducciones;
}

//voluntaria
if (isset($_POST['voluntaria'])){$voluntaria=$_POST['voluntaria'];} else { $voluntaria='no';}
if($voluntaria=='si'){
    $valor_voluntaria=$_POST['valor_voluntaria'];
    $deducciones['voluntary_pension']=$valor_voluntaria;
    $total_ded+=$valor_voluntaria;
}

//retencion
if (isset($_POST['retencion'])){$retencion=$_POST['retencion'];} else { $retencion='no';}
if($retencion=='si'){
    $valor_retencion=$_POST['valor_retencion'];
    $deducciones['withholding_at_source']=$valor_retencion;
    $total_ded+=$valor_retencion;
}

//construccion
if (isset($_POST['construccion'])){$construccion=$_POST['construccion'];} else { $construccion='no';}
if($construccion=='si'){
    $valor_construccion=$_POST['valor_construccion'];
    $deducciones['afc']=$valor_construccion;
    $total_ded+=$valor_construccion;
}

//cooperativa
if (isset($_POST['cooperativa'])){$cooperativa=$_POST['cooperativa'];} else { $cooperativa='no';}
if($cooperativa=='si'){
    $valor_cooperativa=$_POST['valor_cooperativa'];
    $deducciones['cooperative']=$valor_cooperativa;
    $total_ded+=$valor_cooperativa;
}

//embargos
if (isset($_POST['embargos'])){$embargos=$_POST['embargos'];} else { $embargos='no';}
if($embargos=='si'){
    $valor_embargos=$_POST['valor_embargos'];
    $deducciones['tax_liens']=$valor_embargos;
    $total_ded+=$valor_embargos;
}


//suplementario
if (isset($_POST['suplementario'])){$suplementario=$_POST['suplementario'];} else { $suplementario='no';}
if($suplementario=='si'){
    $valor_suplementario=$_POST['valor_suplementario'];
    $deducciones['supplementary_plan']=$valor_suplementario;
    $total_ded+=$valor_suplementario;
}


//educacion
if (isset($_POST['educacion'])){$educacion=$_POST['educacion'];} else { $educacion='no';}
if($educacion=='si'){
    $valor_educacion=$_POST['valor_educacion'];
    $deducciones['education']=$valor_educacion;
    $total_ded+=$valor_educacion;
}

//reintegro
if (isset($_POST['reintegro'])){$reintegro=$_POST['reintegro'];} else { $reintegro='no';}
if($reintegro=='si'){
    $valor_reintegro=$_POST['valor_reintegro'];
    $deducciones['refund']=$valor_reintegro;
    $total_ded+=$valor_reintegro;
}

//deuda
if (isset($_POST['deuda'])){$deuda=$_POST['deuda'];} else { $deuda='no';}
if($deuda=='si'){
    $valor_deuda=$_POST['valor_deuda'];
    $deducciones['debt']=$valor_deuda;
    $total_ded+=$valor_deuda;
}



$deducciones['deductions_total']= sprintf('%.2f',$total_ded);
$deductions=$deducciones;


$json = array(
	"type_document_id"   => 10,
    "type_note" => 1, 
    "predecessor"=> array (
        "predecessor_number"     => $nom_numero_ant,
        "predecessor_cune"       => $nom_cune_ant,
        "predecessor_issue_date" => $nom_fecha_ant
    ),

    'period' 	=> array (
        "admision_date" 		=> $emp_fecha_adminsion, //fecha de admisión
        "settlement_start_date" => $nom_fecha_inicio, //fecha de inicio de liquidación
        "settlement_end_date" 	=> $nom_fecha_fin, //fecha de finalización de la liquidación
        "worked_time" 			=> $dias_trabajados, // tiempo trabajado
        "issue_date" 			=> $nom_fecha_pago //fecha de asunto
    ),
    


	"worker_code"          	=> $emp_cc, //código de trabajador
	"prefix"          		=> $prefijo,
	"consecutive"          	=> $nom_numero,
	"payroll_period_id"     => 5, //ID del período de nómina
	"notes"          		=> $notas,
	"establishment_name"    => '',

	'worker' 	=> array (
				"type_worker_id"          					=> $emp_tipo_trabajador, //tipo ID de trabajador  //Dependiente
				"sub_type_worker_id"          				=> $emp_subtipo_trabajador, //ID de trabajador de subtipo //No Aplica
				"payroll_type_document_identification_id"   => $emp_tipo_doc, //ID de identificación del documento del tipo de nómina
				"municipality_id"          					=> $emp_municipio, //MUNICIPIO
				"type_contract_id"          				=> $emp_tipo_contrato, //tipo de contrato //1.Término Fijo
				"high_risk_pension"          				=> false,//pensión de alto riesgo
				"identification_number"          			=> $emp_cc,
				"surname"          							=> $emp_primer_apellido,
				"second_surname"          					=> $emp_segundo_apellido,
				"first_name"          						=> $emp_nombre,
				"address"          							=> $emp_direccion,
				"integral_salarary"          				=> false,
				"salary"          							=> sprintf('%.2f',$emp_salario)

	),
	'payment' 	=> array (
				"payment_method_id"     => $emp_metodo_pago,//método de pago 10.efectivo
				"bank_name"          	=> $emp_banco,
				"account_type"   		=> $emp_tipo_cuenta,
				"account_number"        => $emp_numero_cuenta
	),

	'payment_dates' 	=> array (
		array(
			"payment_date"     => $nom_fecha_pago // fecha de pago
		)
	),

	'accrued'    	=> $accrued,
	'deductions'    => $deductions,
);
?>